Skip to content
WarpStream Documentation
Start Free

Create

Create a new User Role.

For simplicity, we recommend always setting the User Role’s access grants’ resource_id to *.

curl https://api.warpstream.com/api/v1/create_user_role \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"user_role_name": "example-role",
"sso_group_name": "groups_attribute/example",
"access_grants": [
{
"workspace_id": "wi_1d4930d7_8e6d_4ad9_b27a_654ed4aaa3ee",
"managed_grant_name": "read_only",
"resource_id": "*"
},
{
"workspace_id": "wi_d7591578_418f_41cb_bed9_9c4dd7c7470e",
"managed_grant_name": "admin",
"resource_id": "*"
}
]
}'
{
"user_role_id": "wi_007f0341_3ab3_457a_a513_2b2c9415582f"
}